{
  "openapi": "3.0.0",
  "info": {
    "title": "V3 API",
    "version": "3.0",
    "description": "Os mesmos endpoints da **v2** funcionam nesta versão; a única diferença é a autenticação. Obtenha um token em `POST /oauth2/token` (client credentials) e envie-o no header `Authorization: Bearer <access_token>`. O token expira (`expires_in`, em segundos) — renove-o antes de expirar.",
    "contact": {
      "name": "ANYMARKET Developers",
      "url": "https://suporte.anymarket.com.br/"
    },
    "x-logo": {
      "url": "https://anymarket.com.br/wp-content/uploads/2018/07/icon-anymarket-300x300.png"
    },
    "x-preferred": true,
    "x-providerName": "V2 API"
  },
  "servers": [
    {
      "url": "https://sandbox-api.anymarket.com.br/v3",
      "description": "Sandbox"
    },
    {
      "url": "https://api.anymarket.com.br/v3",
      "description": "Produção"
    }
  ],
  "security": [
    {
      "authorization": []
    }
  ],
  "tags": [
    {
      "name": "Autenticação",
      "description": "Autenticação OAuth2 (client credentials) — obtenção do token de acesso. Disponível apenas na v3 da API."
    },
    {
      "name": "Callback",
      "description": "Callbacks management"
    },
    {
      "name": "Campanhas",
      "description": "Gerenciamento de Campanhas"
    },
    {
      "name": "Categorias",
      "description": "Gerenciamento de categorias"
    },
    {
      "name": "Cotar Frete",
      "description": "Gerenciamento de frete"
    },
    {
      "name": "Emissão de Etiquetas",
      "description": "Gerenciamento de emissão de etiquetas"
    },
    {
      "name": "Grupo de caracteristica",
      "description": "Gerenciamento de grupo de caracteristica"
    },
    {
      "name": "Estoque",
      "description": "Gerenciamento de stock"
    },
    {
      "name": "Local de Estoque",
      "description": "Gerenciamento de Locais de Estoque"
    },
    {
      "name": "Feed pedido",
      "description": "Gerenciamento de feed de pedidos"
    },
    {
      "name": "Feed produto",
      "description": "Gerenciamento de feed de produtos"
    },
    {
      "name": "Feed transmissão",
      "description": "Gerenciamento de feed de transmissão"
    },
    {
      "name": "Imagem",
      "description": "Gerenciamento de imagens"
    },
    {
      "name": "Marcas",
      "description": "Gerenciamento de marcas"
    },
    {
      "name": "Mensageria",
      "description": "Gerenciamento de mensagens nos pedidos"
    },
    {
      "name": "Monitoramento de Erro",
      "description": "Monitoramento de erros"
    },
    {
      "name": "Pedido",
      "description": "Gerenciamento de pedidos"
    },
    {
      "name": "Fulfillment",
      "description": "Gerenciamento de pedidos fulfillment"
    },
    {
      "name": "Devolução",
      "description": "Gerenciamento de devolução"
    },
    {
      "name": "Perguntas",
      "description": "Gerenciamento de perguntas"
    },
    {
      "name": "Produto",
      "description": "Gerenciamento de produtos"
    },
    {
      "name": "Promoção",
      "description": "Gerenciamento de regras de preço (Promoções)"
    },
    {
      "name": "SKU",
      "description": "SKUs Management"
    },
    {
      "name": "SKU Marketplace",
      "description": "Gerenciamento de anúncios"
    },
    {
      "name": "Template",
      "description": "Templates Management"
    },
    {
      "name": "Transmissão",
      "description": "Gerenciamento de transmissões"
    },
    {
      "name": "Tipos de variação",
      "description": "Gerenciamento de tipos de variação"
    },
    {
      "name": "Valores de variação",
      "description": "Gerenciamento de valores de variação"
    },
    {
      "name": "Documentos Fiscais",
      "description": "Gerenciamento de documentos fiscais"
    },
    {
      "name": "Feed preço de transmissão",
      "description": "Gerenciamento de feed de preço de transmissão"
    },
    {
      "name": "Feed reserva",
      "description": "Gerenciamento de feed de reservas"
    },
    {
      "name": "Perfis de Acesso",
      "description": "Gerenciamento de perfis de acesso"
    },
    {
      "name": "Preço",
      "description": "Gerenciamento de preços"
    },
    {
      "name": "Usuários",
      "description": "Gerenciamento de usuários"
    }
  ],
  "paths": {
    "/oauth2/token": {
      "post": {
        "summary": "/oauth2/token",
        "operationId": "post-oauth2-token",
        "description": "# OAuth2 authentication\n\nGenerates the access token for the ANYMARKET APIs using the *client credentials* flow. Send `client_id` and `client_secret` (provided by ANYMARKET) and receive a *bearer* `access_token`.\n\nThe returned token must be sent in the `Authorization` header of every other request, in the `Bearer <access_token>` format, and expires after `expires_in` seconds — renew it before it expires.",
        "servers": [
          {
            "url": "https://sandbox-api.anymarket.com.br/v3",
            "description": "Sandbox"
          },
          {
            "url": "https://api.anymarket.com.br/v3",
            "description": "Produção"
          }
        ],
        "security": [],
        "requestBody": {
          "description": "Credenciais do fluxo client credentials.",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "grant_type": {
                    "type": "string",
                    "description": "Tipo de concessão OAuth2. Use `client_credentials`."
                  },
                  "scope": {
                    "type": "string",
                    "description": "Escopo de acesso. Use `anymarket-api`."
                  },
                  "client_id": {
                    "type": "string",
                    "description": "Identificador do cliente, fornecido pela ANYMARKET."
                  },
                  "client_secret": {
                    "type": "string",
                    "description": "Segredo do cliente, fornecido pela ANYMARKET."
                  }
                },
                "required": [
                  "grant_type",
                  "client_id",
                  "client_secret"
                ]
              },
              "examples": {
                "example-1": {
                  "value": {
                    "grant_type": "client_credentials",
                    "scope": "anymarket-api",
                    "client_id": "<client_id>",
                    "client_secret": "<client_secret>"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "token_type": {
                      "type": "string",
                      "description": "Tipo do token. Sempre `bearer`."
                    },
                    "access_token": {
                      "type": "string",
                      "description": "Token de acesso a ser enviado no header `Authorization`, no formato `Bearer <access_token>`."
                    },
                    "expires_in": {
                      "type": "integer",
                      "description": "Tempo de vida do token, em segundos."
                    }
                  }
                },
                "examples": {
                  "example-1": {
                    "value": {
                      "token_type": "bearer",
                      "access_token": "<access_token>",
                      "expires_in": 7200
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Autenticação"
        ]
      },
      "parameters": []
    },
    "/brands": {
      "get": {
        "summary": "/brands",
        "operationId": "get-brands",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "links": {
                      "type": "array",
                      "description": "Referências de paginação",
                      "items": {
                        "type": "object",
                        "properties": {
                          "rel": {
                            "type": "string",
                            "description": "Relacionamento do hyperlink",
                            "example": "next"
                          },
                          "href": {
                            "type": "string",
                            "description": "URL de definição do recurso",
                            "example": "https://.../v2/component?limit=5&offset=5"
                          }
                        }
                      }
                    },
                    "content": {
                      "type": "array",
                      "description": "Lista de marcas",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "description": "ID da marca",
                            "minimum": 0
                          },
                          "name": {
                            "type": "string",
                            "description": "Nome da marca",
                            "minLength": 1,
                            "maxLength": 120
                          },
                          "reducedName": {
                            "type": "string",
                            "description": "Nome reduzido da marca",
                            "minLength": 0,
                            "maxLength": 30
                          },
                          "partnerId": {
                            "type": "string",
                            "description": "ID da marca no parceiro",
                            "minLength": 0,
                            "maxLength": 255
                          }
                        }
                      }
                    },
                    "page": {
                      "type": "object",
                      "properties": {
                        "size": {
                          "type": "integer",
                          "maximum": 100
                        },
                        "totalElements": {
                          "type": "integer",
                          "minimum": 0
                        },
                        "totalPages": {
                          "type": "integer",
                          "minimum": 0
                        },
                        "number": {
                          "type": "integer",
                          "minimum": 0
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "example-2": {
                    "value": {
                      "links": [
                        {
                          "rel": "next",
                          "href": "https://.../v2/component?limit=5&offset=5"
                        }
                      ],
                      "content": [
                        {
                          "id": 0,
                          "name": "string",
                          "reducedName": "string",
                          "partnerId": "string"
                        }
                      ],
                      "page": {
                        "size": 5,
                        "totalElements": 0,
                        "totalPages": 1,
                        "number": 1
                      }
                    }
                  },
                  "example-1": {
                    "value": {
                      "links": [
                        {
                          "rel": "next",
                          "href": "https://.../v2/component?limit=5&offset=5"
                        }
                      ],
                      "content": [
                        {
                          "id": 123456,
                          "name": "Brastemp",
                          "reducedName": "brastemp",
                          "partnerId": "marca-001-brastemp"
                        }
                      ],
                      "page": {
                        "size": 5,
                        "totalElements": 0,
                        "totalPages": 1,
                        "number": 1
                      }
                    }
                  }
                }
              }
            },
            "headers": {}
          }
        },
        "description": "# Retrieve Brands\nRetrieves all Brands.",
        "parameters": [
          {
            "$ref": "#/components/parameters/limit"
          },
          {
            "$ref": "#/components/parameters/sort"
          },
          {
            "$ref": "#/components/parameters/name"
          },
          {
            "$ref": "#/components/parameters/partnerId"
          }
        ],
        "tags": [
          "Marcas"
        ]
      },
      "post": {
        "summary": "/brands",
        "operationId": "post-brands",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "description": "ID da marca",
                      "minimum": 0
                    },
                    "name": {
                      "type": "string",
                      "description": "Nome da marca",
                      "minLength": 1,
                      "maxLength": 120
                    },
                    "reducedName": {
                      "type": "string",
                      "description": "Nome reduzido da marca",
                      "minLength": 0,
                      "maxLength": 30
                    },
                    "partnerId": {
                      "type": "string",
                      "description": "ID da marca no parceiro",
                      "minLength": 0,
                      "maxLength": 255
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "id": 0,
                      "name": "string",
                      "reducedName": "string",
                      "partnerId": "string"
                    }
                  },
                  "example-1": {
                    "value": {
                      "id": 1987032,
                      "name": "teste co po",
                      "reducedName": "testcop"
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity (WebDAV)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/422"
                }
              }
            }
          }
        },
        "description": "# Create Brand\nCreates a new Brand using the given data.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BrandAdd"
              }
            }
          },
          "description": ""
        },
        "tags": [
          "Marcas"
        ]
      }
    },
    "/brands/{id}": {
      "get": {
        "summary": "/brands/{id}",
        "operationId": "get-brands-id",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "description": "ID da marca",
                      "minimum": 0
                    },
                    "name": {
                      "type": "string",
                      "description": "Nome da marca",
                      "minLength": 1,
                      "maxLength": 120
                    },
                    "reducedName": {
                      "type": "string",
                      "description": "Nome reduzido da marca",
                      "minLength": 0,
                      "maxLength": 30
                    }
                  }
                },
                "examples": {
                  "example-1": {
                    "value": {
                      "id": 0,
                      "name": "string",
                      "reducedName": "string"
                    }
                  },
                  "stoplight-example-1": {
                    "value": {
                      "id": 1987032,
                      "name": "teste co po",
                      "reducedName": "testcop"
                    }
                  }
                }
              }
            },
            "headers": {}
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/404"
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity (WebDAV)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/422"
                }
              }
            }
          }
        },
        "description": "# Retrieve a brand\nRetrieves a specific Brand by its ID.",
        "parameters": [],
        "tags": [
          "Marcas"
        ]
      },
      "parameters": [
        {
          "schema": {
            "type": "integer",
            "format": "int64",
            "minimum": 1
          },
          "name": "id",
          "in": "path",
          "description": "Brand ID generated by ANYMARKET.",
          "required": true
        }
      ],
      "delete": {
        "summary": "/brands/{id}",
        "operationId": "delete-brands-id",
        "responses": {
          "204": {
            "description": "No Content"
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/404"
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity (WebDAV)"
          }
        },
        "description": "# Delete Brand\nDeletes an existing brand.",
        "tags": [
          "Marcas"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {}
              }
            }
          },
          "description": ""
        }
      },
      "put": {
        "summary": "/brands/{id}",
        "operationId": "put-brands-id",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "description": "ID da marca",
                      "minimum": 0
                    },
                    "name": {
                      "type": "string",
                      "description": "Nome da marca",
                      "minLength": 1,
                      "maxLength": 255
                    },
                    "reducedName": {
                      "type": "string",
                      "description": "Nome reduzido da marca",
                      "minLength": 0,
                      "maxLength": 30
                    }
                  }
                },
                "examples": {
                  "example-1": {
                    "value": {
                      "id": 0,
                      "name": "string",
                      "reducedName": "string"
                    }
                  },
                  "stoplight-example-1": {
                    "value": {
                      "id": 0,
                      "name": "string",
                      "reducedName": "string"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/404"
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity (WebDAV)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/422"
                }
              }
            }
          }
        },
        "description": "# Update Brand\nUpdates a existing Brand.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BrandAdd"
              }
            }
          }
        },
        "tags": [
          "Marcas"
        ]
      }
    },
    "/callbacks": {
      "post": {
        "summary": "/callbacks",
        "operationId": "post-callbacks",
        "responses": {
          "201": {
            "description": "Created",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "description": "ID interno",
                      "minimum": 0,
                      "maximum": 9999999999
                    },
                    "url": {
                      "type": "string",
                      "description": "URL do callback",
                      "minLength": 1,
                      "maxLength": 255
                    },
                    "token": {
                      "type": "string",
                      "description": "Token da Conta ANYMARKET"
                    },
                    "orderActive": {
                      "type": "boolean",
                      "description": "Indica se o ANYMARKET deve encaminhar callback de pedido"
                    },
                    "productActive": {
                      "type": "boolean",
                      "description": "Indica se o ANYMARKET deve encaminhar callback de produto"
                    },
                    "transmissionActive": {
                      "type": "boolean",
                      "description": "Indica se o ANYMARKET deve encaminhar callback de transmissão"
                    },
                    "questionActive ": {
                      "type": "boolean",
                      "description": "Indica se o ANYMARKET deve encaminhar callback de pergunta"
                    }
                  }
                },
                "examples": {
                  "example-1": {
                    "value": {
                      "id": 0,
                      "url": "example.com",
                      "token": "string",
                      "orderActive": true,
                      "productActive": true,
                      "transmissionActive": true,
                      "questionActive ": true
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity (WebDAV)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/422"
                }
              }
            }
          }
        },
        "description": "# Create Callback\nCreates a Callback using the given data.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "url": {
                    "type": "string",
                    "description": "URL de Callback"
                  },
                  "token": {
                    "type": "string",
                    "description": "Token da Conta ANYMARKET"
                  },
                  "orderActive": {
                    "type": "boolean",
                    "description": "Indica se o ANYMARKET deve encaminhar callback de pedido"
                  },
                  "productActive": {
                    "type": "boolean",
                    "description": "Indica se o ANYMARKET deve encaminhar callback de produto"
                  },
                  "transmissionActive": {
                    "type": "boolean",
                    "description": "Indica se o ANYMARKET deve encaminhar callback de transmissão"
                  },
                  "questionActive ": {
                    "type": "boolean",
                    "description": "Indica se o ANYMARKET deve encaminhar callback de pergunta"
                  }
                }
              },
              "examples": {
                "example-1": {
                  "value": {
                    "url": "example.com",
                    "token": "string",
                    "orderActive": true,
                    "productActive": true,
                    "transmissionActive": true,
                    "questionActive ": true
                  }
                },
                "stoplight-example-1": {
                  "value": {
                    "id": 0,
                    "url": "example.com",
                    "token": "string",
                    "orderActive": true,
                    "productActive": true,
                    "transmissionActive": true,
                    "questionActive ": true
                  }
                }
              }
            }
          },
          "description": ""
        },
        "tags": [
          "Callback"
        ]
      },
      "parameters": [],
      "get": {
        "summary": "/callbacks",
        "operationId": "get-callbacks",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Page_CallBack"
                },
                "examples": {
                  "example-1": {
                    "value": {
                      "links": [
                        {
                          "rel": "next",
                          "href": "https://.../v2/component?limit=5&offset=5"
                        }
                      ],
                      "content": [
                        {
                          "id": 0,
                          "url": "example.com",
                          "token": "string",
                          "orderActive": true,
                          "productActive": true,
                          "transmissionActive": true,
                          "questionActive ": true
                        }
                      ],
                      "page": {
                        "size": 5,
                        "totalElements": 0,
                        "totalPages": 1,
                        "number": 1
                      }
                    }
                  }
                }
              }
            },
            "headers": {}
          }
        },
        "description": "# Retrieve Callbacks \nRetrieves all available Callbacks.",
        "parameters": [
          {
            "$ref": "#/components/parameters/offset"
          },
          {
            "$ref": "#/components/parameters/limit"
          },
          {
            "$ref": "#/components/parameters/sort"
          }
        ],
        "tags": [
          "Callback"
        ],
        "x-internal": true,
        "x-stoplight": {
          "id": "q85f0ckemeksm"
        }
      }
    },
    "/callbacks/{id}": {
      "get": {
        "summary": "/callbacks/{id}",
        "operationId": "get-callbacks-id",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CallBack"
                },
                "examples": {
                  "example-1": {
                    "value": {
                      "id": 0,
                      "url": "example.com",
                      "token": "string",
                      "orderActive": true,
                      "productActive": true,
                      "transmissionActive": true,
                      "questionActive ": true
                    }
                  }
                }
              }
            },
            "headers": {}
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/404"
                }
              }
            }
          }
        },
        "description": "# Retrieve a Callback\nRetrieves the details of a Callback by its ID.",
        "parameters": [],
        "tags": [
          "Callback"
        ]
      },
      "parameters": [
        {
          "schema": {
            "type": "integer",
            "format": "int64",
            "minimum": 1
          },
          "name": "id",
          "in": "path",
          "required": true,
          "description": "Callback ID generated by ANYMARKET."
        }
      ],
      "delete": {
        "summary": "/callbacks/{id}",
        "operationId": "delete-callback-id",
        "responses": {
          "204": {
            "description": "No Content"
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/404"
                }
              }
            }
          }
        },
        "description": "# Delete Callback\nDeletes an existing Callback.",
        "tags": [
          "Callback"
        ]
      },
      "put": {
        "summary": "/callbacks/{id}",
        "operationId": "put-callbacks-id",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "description": "ID interno"
                    },
                    "url": {
                      "type": "string",
                      "description": "URL do callback",
                      "minLength": 1,
                      "maxLength": 255
                    },
                    "token": {
                      "type": "string",
                      "description": "Token da Conta ANYMARKET"
                    },
                    "orderActive": {
                      "type": "boolean",
                      "description": "Indica se o ANYMARKET deve encaminhar callback de pedido"
                    },
                    "productActive": {
                      "type": "boolean",
                      "description": "Indica se o ANYMARKET deve encaminhar callback de produto"
                    },
                    "transmissionActive": {
                      "type": "boolean",
                      "description": "Indica se o ANYMARKET deve encaminhar callback de transmissão"
                    },
                    "questionActive ": {
                      "type": "boolean",
                      "description": "Indica se o ANYMARKET deve encaminhar callback de pergunta"
                    }
                  }
                },
                "examples": {
                  "example-1": {
                    "value": {
                      "id": 0,
                      "url": "string",
                      "token": "string",
                      "orderActive": true,
                      "productActive": true,
                      "transmissionActive": true,
                      "questionActive ": true
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/404"
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity (WebDAV)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/422"
                }
              }
            }
          }
        },
        "description": "# Update Callback\nUpdates the data of a Callback.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CallBackPost"
              }
            }
          }
        },
        "tags": [
          "Callback"
        ]
      }
    },
    "/campaigns": {
      "get": {
        "summary": "/campaigns",
        "operationId": "get-campaigns",
        "description": "# Consulta Campanha\nRetorna por paginação TODAS campanhas cadastradas",
        "parameters": [
          {
            "schema": {
              "type": "string"
            },
            "in": "query",
            "name": "status",
            "description": "Os status podem ser SCHEDULED, ACTIVE e FINALIZED."
          },
          {
            "schema": {
              "type": "string"
            },
            "in": "query",
            "name": "limit",
            "description": "Quantidade de registro da paginação, valor máximo 100."
          },
          {
            "schema": {
              "type": "string"
            },
            "in": "query",
            "name": "offset",
            "description": "Quantidade de registros deslocados na paginação."
          }
        ],
        "tags": [
          "Campanhas"
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "pageSize": {
                      "type": "integer"
                    },
                    "count": {
                      "type": "integer"
                    },
                    "start": {
                      "type": "integer"
                    },
                    "values": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer"
                          },
                          "title": {
                            "type": "string"
                          },
                          "idAccount": {
                            "type": "string"
                          },
                          "accountName": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "initialDate": {
                            "type": "string"
                          },
                          "finalDate": {
                            "type": "string"
                          },
                          "marketplace": {
                            "type": "string"
                          },
                          "status": {
                            "type": "string"
                          },
                          "productsCount": {
                            "type": "integer"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "example-1": {
                    "value": {
                      "pageSize": 0,
                      "count": 0,
                      "start": 0,
                      "values": [
                        {
                          "id": 0,
                          "title": "string",
                          "idAccount": "string",
                          "accountName": "string",
                          "description": "string",
                          "initialDate": "string",
                          "finalDate": "string",
                          "marketplace": "string",
                          "status": "string",
                          "productsCount": 0
                        }
                      ]
                    }
                  },
                  "stoplight-example-1": {
                    "value": {
                      "pageSize": 5,
                      "count": 64,
                      "start": 0,
                      "values": [
                        {
                          "id": 203,
                          "title": "Automação1662035570679",
                          "idAccount": "1",
                          "accountName": "ECOMMERCE",
                          "description": "Campanha de testes automatizados",
                          "initialDate": "2022-09-03T09:32:42.041Z",
                          "finalDate": "2022-09-07T09:32:42.041Z",
                          "marketplace": "ECOMMERCE",
                          "status": "SCHEDULED",
                          "productsCount": 0
                        },
                        {
                          "id": 206,
                          "title": "Automação1662036323424",
                          "idAccount": "1",
                          "accountName": "ECOMMERCE",
                          "description": "Campanha de testes automatizados",
                          "initialDate": "2022-09-03T09:45:14.789Z",
                          "finalDate": "2022-09-07T09:45:14.789Z",
                          "marketplace": "ECOMMERCE",
                          "status": "FINALIZED",
                          "productsCount": 0
                        },
                        {
                          "id": 209,
                          "title": "Automação1662038893910",
                          "idAccount": "1",
                          "accountName": "ECOMMERCE",
                          "description": "Campanha de testes automatizados",
                          "initialDate": "2022-09-03T10:28:05.454Z",
                          "finalDate": "2022-09-07T10:28:05.454Z",
                          "marketplace": "ECOMMERCE",
                          "status": "FINALIZED",
                          "productsCount": 0
                        },
                        {
                          "id": 263,
                          "title": "Automação1672060413770",
                          "idAccount": "1",
                          "accountName": "ECOMMERCE",
                          "description": "Campanha de testes automatizados",
                          "initialDate": "2022-12-28T13:12:42.733Z",
                          "finalDate": "2023-01-01T13:12:42.733Z",
                          "marketplace": "ECOMMERCE",
                          "status": "FINALIZED",
                          "productsCount": 0
                        },
                        {
                          "id": 262,
                          "title": "Automação1672060393631",
                          "idAccount": "1",
                          "accountName": "ECOMMERCE",
                          "description": "Campanha de testes automatizados",
                          "initialDate": "2022-12-28T13:12:42.651Z",
                          "finalDate": "2023-01-01T13:12:42.651Z",
                          "marketplace": "ECOMMERCE",
                          "status": "ACTIVE",
                          "productsCount": 0
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "example-1": {
                    "value": {
                      "code": "400",
                      "message": "O campo 'status' na url está em formato incorreto. Verifique a documentação para maiores detalhes."
                    }
                  },
                  "stoplight-example-1": {
                    "value": {
                      "code": "400",
                      "message": "O campo 'status' na url está em formato incorreto. Verifique a documentação para maiores detalhes."
                    }
                  }
                }
              }
            }
          }
        }
      },
      "parameters": [],
      "post": {
        "summary": "/campaigns",
        "tags": [
          "Campanhas"
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer"
                    },
                    "title": {
                      "type": "string"
                    },
                    "marketplace": {
                      "type": "string"
                    },
                    "idAccount": {
                      "type": "integer"
                    },
                    "description": {
                      "type": "string"
                    },
                    "initialDate": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "finalDate": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "overrideCampaignItens": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "id": 0,
                      "title": "string",
                      "marketplace": "string",
                      "idAccount": 0,
                      "description": "string",
                      "initialDate": "2024-08-24T14:15:22Z",
                      "finalDate": "2024-08-24T15:15:22Z",
                      "overrideCampaignItens": true
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "code": "422",
                      "message": "[O campo title deve ter no máximo 35 caracteres]"
                    }
                  }
                }
              }
            }
          }
        },
        "operationId": "post-campaigns",
        "description": "# Criar campanha\nCria uma campanha com os dados informados",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "title",
                  "initialDate",
                  "finalDate",
                  "marketplace"
                ],
                "properties": {
                  "title": {
                    "type": "string",
                    "description": "Nome da campanha",
                    "maxLength": 35
                  },
                  "initialDate": {
                    "type": "string",
                    "format": "date-time",
                    "description": "Data inicial"
                  },
                  "finalDate": {
                    "type": "string",
                    "format": "date-time",
                    "description": "Data Final"
                  },
                  "marketplace": {
                    "type": "string",
                    "description": "Marketplace da campanha"
                  },
                  "idAccount": {
                    "type": "integer",
                    "description": "ID da conta utilizada no MARKETPLACE"
                  },
                  "description": {
                    "type": "string",
                    "description": "Descrição da campanha",
                    "maxLength": 100
                  },
                  "overrideCampaignItens": {
                    "type": "boolean",
                    "description": "Sobrescrever itens em outras campanhas",
                    "default": false
                  }
                }
              }
            }
          },
          "description": ""
        }
      }
    },
    "/campaigns/{id}": {
      "get": {
        "summary": "/campaigns/{id}",
        "operationId": "get-campaigns-id",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Campaign"
                },
                "examples": {}
              }
            },
            "headers": {}
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/404"
                }
              }
            }
          }
        },
        "description": "#  Retrieve Campaign\nRetrieves the details of a Campaign.",
        "parameters": [],
        "tags": [
          "Campanhas"
        ]
      },
      "put": {
        "summary": "/campaigns/{id}",
        "operationId": "put-campaigns",
        "tags": [
          "Campanhas"
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer"
                    },
                    "title": {
                      "type": "string"
                    },
                    "marketplace": {
                      "type": "string"
                    },
                    "idAccount": {
                      "type": "integer"
                    },
                    "description": {
                      "type": "string"
                    },
                    "initialDate": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "finalDate": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "overrideCampaignItens": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "id": 0,
                      "title": "string",
                      "marketplace": "string",
                      "idAccount": 0,
                      "description": "string",
                      "initialDate": "2019-08-24T14:15:22Z",
                      "finalDate": "2019-08-24T14:15:22Z",
                      "overrideCampaignItens": false
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "code": "422",
                      "message": "Uma campanha já finalizada não pode ser alterada!"
                    }
                  }
                }
              }
            }
          }
        },
        "description": "# Atualizar campanha\n\nAtualiza uma campanha com os dados informados.\n\n> O método `PUT` substitui completamente o recurso. \n>\n> Todos os campos obrigatórios devem ser enviados, mesmo que não tenham sido modificados.\n>\n> Campos omitidos podem ser redefinidos ou apagados.\n>\n> Use este método quando quiser sobrescrever todas as informações.",
        "requestBody": {
          "description": "",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "title",
                  "initialDate",
                  "finalDate",
                  "marketplace"
                ],
                "properties": {
                  "title": {
                    "type": "string",
                    "description": "Nome da campanha\n`<= 35 characters`"
                  },
                  "initialDate": {
                    "type": "string",
                    "format": "date-time",
                    "description": "Data inicial"
                  },
                  "finalDate": {
                    "type": "string",
                    "format": "date-time",
                    "description": "Data Final"
                  },
                  "marketplace": {
                    "type": "string",
                    "description": "Marketplace da campanha"
                  },
                  "idAccount": {
                    "type": "integer",
                    "description": "ID da conta utilizada no MARKETPLACE"
                  },
                  "description": {
                    "type": "string",
                    "description": "Descrição da campanha\n`<= 100 characters`"
                  },
                  "overrideCampaignItens": {
                    "type": "boolean",
                    "description": "Sobrescrever itens em outras campanhas",
                    "default": false
                  }
                }
              },
              "examples": {}
            }
          }
        }
      },
      "parameters": [
        {
          "schema": {
            "type": "integer",
            "format": "int64",
            "minimum": 1
          },
          "name": "id",
          "in": "path",
          "required": true,
          "description": "Campaign ID generated by ANYMARKET."
        }
      ]
    },
    "/campaigns/{id}/products": {
      "parameters": [
        {
          "schema": {
            "type": "integer",
            "format": "int64",
            "minimum": 1
          },
          "name": "id",
          "in": "path",
          "required": true,
          "description": "ID da campanha gerado pelo ANYMARKET"
        }
      ],
      "get": {
        "summary": "/campaigns/{id}/products",
        "tags": [
          "Campanhas"
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "pageSize": {
                      "type": "integer"
                    },
                    "count": {
                      "type": "integer"
                    },
                    "start": {
                      "type": "integer"
                    },
                    "values": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer"
                          },
                          "sku": {
                            "type": "string"
                          },
                          "codInMarketplace": {
                            "type": "string"
                          },
                          "regularPrice": {
                            "type": "number"
                          },
                          "discountPrice": {
                            "type": "number"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "pageSize": 0,
                      "count": 0,
                      "start": 0,
                      "values": [
                        {
                          "id": 0,
                          "sku": "string",
                          "codInMarketplace": "string",
                          "regularPrice": 0,
                          "discountPrice": 0
                        }
                      ]
                    }
                  },
                  "stoplight-Example 1": {
                    "value": {
                      "pageSize": 5,
                      "count": 163,
                      "start": 0,
                      "values": [
                        {
                          "id": 12879,
                          "sku": "MKP002099002586",
                          "codInMarketplace": "MLB4735784160",
                          "regularPrice": 1944.8,
                          "discountPrice": 1934.8
                        },
                        {
                          "id": 12746,
                          "sku": "MKP002099004566",
                          "codInMarketplace": "MLB4735861148",
                          "regularPrice": 899.9,
                          "discountPrice": 889.9
                        },
                        {
                          "id": 12818,
                          "sku": "MKP002097005340",
                          "codInMarketplace": "MLB4735784570",
                          "regularPrice": 2794.8,
                          "discountPrice": 2784.8
                        },
                        {
                          "id": 12755,
                          "sku": "MKP002098020510",
                          "codInMarketplace": "MLB4735822152",
                          "regularPrice": 1073.8,
                          "discountPrice": 1063.8
                        },
                        {
                          "id": 12881,
                          "sku": "MKP002099005668",
                          "codInMarketplace": "MLB4735796512",
                          "regularPrice": 1916.8,
                          "discountPrice": 1906.8
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "code": "404",
                      "message": "Recurso com o id 'xxx' não encontrado"
                    }
                  }
                }
              }
            }
          }
        },
        "operationId": "get-campaigns-id-products",
        "description": "# Consulta Produtos da Campanha\nRetorna por paginação TODOS os produtos cadastrados na campanha",
        "parameters": [
          {
            "schema": {
              "type": "string"
            },
            "in": "query",
            "name": "limit",
            "description": "Quantidade de registro da paginação, valor máximo 100."
          },
          {
            "schema": {
              "type": "string"
            },
            "in": "query",
            "name": "offset",
            "description": "Quantidade de registros deslocados na paginação."
          }
        ]
      },
      "post": {
        "summary": "/campaigns/{id}/products",
        "tags": [
          "Campanhas"
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "code": "400",
                      "message": "O campo 'id' na url está em formato incorreto. Verifique a documentação para maiores detalhes."
                    }
                  },
                  "Example 2": {
                    "value": {
                      "code": "400",
                      "message": "O parâmetro 'file' é obrigatório, consulte a documentação para maiores informações."
                    }
                  },
                  "stoplight-Example 1": {
                    "value": {
                      "code": "400",
                      "message": "O campo 'id' na url está em formato incorreto. Verifique a documentação para maiores detalhes."
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "code": "404",
                      "message": "Recurso com o id 'xxx' não encontrado."
                    }
                  },
                  "stoplight-Example 1": {
                    "value": {
                      "code": "404",
                      "message": "Recurso com o id 'xxx' não encontrado."
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "code": "422",
                      "message": "File not supported"
                    }
                  },
                  "stoplight-Example 1": {
                    "value": {
                      "code": "422",
                      "message": "File not supported"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "code": "500",
                      "message": "Content type 'null' not supported"
                    }
                  },
                  "stoplight-Example 1": {
                    "value": {
                      "code": "500",
                      "message": "Content type 'null' not supported"
                    }
                  }
                }
              }
            }
          }
        },
        "operationId": "post-campaigns-id-products",
        "description": "# Gerencia produtos de uma campanha\nEndpoint para a importação de planilha dos produtos de uma campanha",
        "requestBody": {
          "content": {
            "multipart/form-data": {
              "schema": {
                "type": "object",
                "required": [
                  "file"
                ],
                "properties": {
                  "file": {
                    "type": "string",
                    "description": "key: File <br> value: Arquivo XLS ou XLSX"
                  }
                }
              },
              "examples": {
                "Example 1": {
                  "value": {
                    "file": "string"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/campaigns/{id}/inactivate": {
      "parameters": [
        {
          "schema": {
            "type": "integer",
            "format": "int64",
            "minimum": 1
          },
          "name": "id",
          "in": "path",
          "description": "ID da campanha gerado pelo ANYMARKET",
          "required": true
        }
      ],
      "post": {
        "summary": "/campaigns/{id}/inactivate",
        "tags": [
          "Campanhas"
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer"
                        },
                        "title": {
                          "type": "string"
                        },
                        "idAccount": {
                          "type": "integer"
                        },
                        "accountName": {
                          "type": "string"
                        },
                        "initialDate": {
                          "type": "string",
                          "format": "date-time"
                        },
                        "finalDate": {
                          "type": "string",
                          "format": "date-time"
                        },
                        "marketplace": {
                          "type": "string"
                        },
                        "status": {
                          "type": "string"
                        },
                        "productsCount": {
                          "type": "integer"
                        },
                        "override": {
                          "type": "boolean",
                          "default": false
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "message": "Campanha encerrada com sucesso!",
                      "data": {
                        "id": 0,
                        "title": "teste",
                        "idAccount": 0,
                        "accountName": "ECOMMERCE",
                        "initialDate": "2019-08-24T14:15:22Z",
                        "finalDate": "2019-08-24T14:15:22Z",
                        "marketplace": "ECOMMERCE",
                        "status": "FINALIZED",
                        "productsCount": 0,
                        "override": false
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "code": "400",
                      "message": "O campo 'id' na url está em formato incorreto. Verifique a documentação para maiores detalhes."
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "code": "404",
                      "message": "Recurso com o id '0' não encontrado"
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "code": "422",
                      "message": "Método POST não suportado para path solicitado. Verifique a documentação para maiores detalhes."
                    }
                  }
                }
              }
            }
          }
        },
        "operationId": "post-campaigns-id-inactivate",
        "description": "# Inativar Campanha\nEncerrar uma campanha previamente criada"
      }
    },
    "/categories": {
      "get": {
        "summary": "/categories",
        "operationId": "get-categories",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Page_Category"
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "links": [
                        {
                          "rel": "next",
                          "href": "https://.../v2/{rota}?limit=5&offset=5"
                        }
                      ],
                      "content": [
                        {
                          "id": 0,
                          "name": "string",
                          "path": "string",
                          "partnerId": "string",
                          "priceFactor": 0,
                          "definitionPriceScope": "SKU"
                        }
                      ],
                      "page": {
                        "size": 5,
                        "totalElements": 0,
                        "totalPages": 0,
                        "number": 1
                      }
                    }
                  }
                }
              }
            },
            "headers": {}
          }
        },
        "description": "# Retrieve Categories \nRetrievs all categories on the first hierarchy level, example:       \n\n\n- Electronics\n  - Accessories & Supplies\n  - Television & Video\n- Sports and Outdoors\n  - Outdoor Recreation\n  - Sports & Fitness\n- Home and Kitchen\n  - Furniture\n  - Lighting & Ceiling Fans\n\n\nOn this scenario the retrieved categories would be 'Electronics',\n'Sports and Outdoors' and 'Home and Kitchen'.",
        "tags": [
          "Categorias"
        ]
      },
      "post": {
        "summary": "/categories",
        "operationId": "post-categories",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CategoryGET"
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity (WebDAV)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/422"
                }
              }
            }
          }
        },
        "description": "# Create Category\nCreates a category using the given data.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CategoryPOST"
              },
              "examples": {
                "example-1": {
                  "value": {
                    "name": "string",
                    "partnerId": "string",
                    "priceFactor": 0,
                    "definitionPriceScope": "SKU",
                    "parent": {
                      "id": 0
                    }
                  }
                }
              }
            }
          },
          "description": ""
        },
        "tags": [
          "Categorias"
        ]
      },
      "parameters": []
    },
    "/categories/{id}": {
      "get": {
        "summary": "/categories/{id}",
        "operationId": "get-categories-id",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "description": "ID interno"
                    },
                    "name": {
                      "type": "string",
                      "description": "Nome da categoria"
                    },
                    "path": {
                      "type": "string",
                      "description": "Diretório e subdiretórios da categoria"
                    },
                    "parent": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "description": "ID da categoria \"PAI\""
                        },
                        "partnerId": {
                          "type": "string",
                          "description": "ID da categoria \"PAI\" no parceiro"
                        }
                      }
                    },
                    "partnerId": {
                      "type": "string",
                      "description": "ID da categoria no parceiro"
                    },
                    "priceFactor": {
                      "type": "integer",
                      "description": "Fator de preço"
                    },
                    "children": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "description": "ID da categoria \"FILHA\""
                          },
                          "name": {
                            "type": "string",
                            "description": "Nome da categoria \"FILHA\""
                          },
                          "path": {
                            "type": "string",
                            "description": "Diretório e subdiretórios da categoria"
                          },
                          "partnerId": {
                            "type": "string",
                            "description": "ID da categoria \"FILHA\" no parceiro"
                          },
                          "priceFactor": {
                            "type": "integer",
                            "description": "Fator de preço"
                          },
                          "definitionPriceScope": {
                            "type": "string",
                            "description": "SKU (Manual, eu controlo o preço pelo SKU), SKU_MARKETPLACE (Manual, eu controlo o preço pelo anúncio) ou COST (Automático, pela mudança do custo)"
                          }
                        }
                      }
                    },
                    "definitionPriceScope": {
                      "type": "string",
                      "description": "SKU (Manual, eu controlo o preço pelo SKU), SKU_MARKETPLACE (Manual, eu controlo o preço pelo anúncio) ou COST (Automático, pela mudança do custo)"
                    }
                  }
                },
                "examples": {
                  "example-1": {
                    "value": {
                      "id": 0,
                      "name": "string",
                      "path": "string",
                      "parent": {
                        "id": 0,
                        "partnerId": "string"
                      },
                      "partnerId": "string",
                      "priceFactor": 0,
                      "children": [
                        {
                          "id": 0,
                          "name": "string",
                          "path": "string",
                          "partnerId": "string",
                          "priceFactor": 0,
                          "definitionPriceScope": "SKU"
                        }
                      ],
                      "definitionPriceScope": "SKU"
                    }
                  },
                  "stoplight-example-1": {
                    "value": {
                      "id": 1794222,
                      "name": "Testetetetet1",
                      "path": "Testetetetet/Testetetetet1",
                      "parent": {
                        "id": 1794218,
                        "partnerId": "757878"
                      },
                      "partnerId": "7547878",
                      "priceFactor": 1,
                      "children": [
                        {
                          "id": 1794224,
                          "name": "Testetetetet10",
                          "path": "Testetetetet/Testetetetet1/Testetetetet10",
                          "partnerId": "75478678",
                          "priceFactor": 1,
                          "definitionPriceScope": "SKU"
                        }
                      ],
                      "definitionPriceScope": "SKU"
                    }
                  }
                }
              }
            },
            "headers": {}
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/404"
                }
              }
            }
          }
        },
        "description": "# Retrieve Category\nRetrieves the data of the given Category on all levels.",
        "parameters": [],
        "tags": [
          "Categorias"
        ]
      },
      "parameters": [
        {
          "schema": {
            "type": "integer"
          },
          "name": "id",
          "in": "path",
          "required": true,
          "description": "Category ID generated by ANYMARKET."
        }
      ],
      "put": {
        "summary": "/categories/{id}",
        "operationId": "put-categories-id",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CategoryFullPath"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/404"
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity (WebDAV)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/422"
                }
              }
            }
          }
        },
        "description": "# Update Category\nUpdates the data of the given Category.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CategoryPOST"
              }
            }
          }
        },
        "tags": [
          "Categorias"
        ]
      },
      "delete": {
        "summary": "/categories/{id}",
        "operationId": "delete-categories-id",
        "responses": {
          "204": {
            "description": "No Content"
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/404"
                }
              }
            }
          }
        },
        "description": "# Delete Category\nDeletes an existing Category.",
        "tags": [
          "Categorias"
        ]
      }
    },
    "/categories/fullPath": {
      "get": {
        "summary": "/categories/fullPath",
        "operationId": "get-categories-fullPath",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "integer",
                        "description": "ID da categoria gerado pelo ANYMARKET"
                      },
                      "name": {
                        "type": "string",
                        "description": "Nome da categoria"
                      },
                      "path": {
                        "type": "string",
                        "description": "Caminho da categoria"
                      },
                      "partnerId": {
                        "type": "string",
                        "description": "partnerId"
                      },
                      "priceFactor": {
                        "type": "integer",
                        "description": "Fator de preço"
                      },
                      "totalProducts": {
                        "type": "integer",
                        "description": "Total de produtos contidos na categoria"
                      },
                      "children": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "integer",
                              "description": "ID interno"
                            },
                            "name": {
                              "type": "string",
                              "description": "Nome da categoria \"FILHA\""
                            },
                            "path": {
                              "type": "string",
                              "description": "Caminho da categoria"
                            },
                            "parent": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "integer",
                                  "description": "ID interno"
                                },
                                "partnerId": {
                                  "type": "string",
                                  "description": "ID da categoria no parceiro"
                                }
                              }
                            },
                            "partnerId": {
                              "type": "string",
                              "description": "ID da categoria no parceiro"
                            },
                            "priceFactor": {
                              "type": "integer",
                              "description": "priceFactor"
                            },
                            "totalProducts": {
                              "type": "integer",
                              "description": "Total de produtos contidos na categoria"
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "example-1": {
                    "value": [
                      {
                        "id": 0,
                        "name": "string",
                        "path": "string",
                        "partnerId": "string",
                        "priceFactor": 0,
                        "totalProducts": 0,
                        "children": {
                          "id": 0,
                          "name": "string",
                          "path": "string",
                          "partnerId": "string",
                          "priceFactor": 0,
                          "totalProducts": 1,
                          "definitionPriceScope": "SKU",
                          "parent": {
                            "id": 0,
                            "parnerId": "string"
                          },
                          "children": {}
                        }
                      }
                    ]
                  },
                  "stoplight-example-1": {
                    "value": [
                      {
                        "id": 1771102,
                        "name": "Brinquedos",
                        "path": "Brinquedos",
                        "partnerId": "87",
                        "priceFactor": 1,
                        "totalProducts": 0,
                        "children": [
                          {
                            "id": 1771137,
                            "name": "Brinquedos para Bebês",
                            "path": "Brinquedos/Brinquedos para Bebês",
                            "parent": {
                              "id": 1771102,
                              "partnerId": "87"
                            },
                            "partnerId": "371",
                            "priceFactor": 1,
                            "totalProducts": 2
                          }
                        ]
                      }
                    ]
                  }
                }
              }
            },
            "headers": {}
          }
        },
        "description": "# Retrieve Category Tree\nRetrievs all categories levels, example:   \n\n\n- Electronics\n  - Accessories & Supplies\n  - Television & Video\n- Sports and Outdoors\n  - Outdoor Recreation\n  - Sports & Fitness\n- Home and Kitchen\n  - Furniture\n  - Lighting & Ceiling Fans\n\nAll categories levels would be listed respectively.\n",
        "parameters": [],
        "tags": [
          "Categorias"
        ]
      },
      "parameters": []
    },
    "/printtag/{type}": {
      "parameters": [
        {
          "schema": {
            "type": "string",
            "enum": [
              "PDF",
              "ZPL",
              "ZPL2"
            ]
          },
          "name": "type",
          "in": "path",
          "required": true,
          "description": "File extension that will be generated (PDF, ZPL2)"
        }
      ],
      "post": {
        "tags": [
          "Emissão de Etiquetas"
        ],
        "summary": "/printtag/{type}",
        "description": "# Print Shipping Label\nPrints the Shipping Labels of the given orders.",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PrintTag"
                },
                "examples": {
                  "ZPL": {
                    "value": {
                      "content": "^XA^MCY^CI28^LH5,15^FX  HEADER  ^FS^FX Logo_Meli ^FS^FO20,10^GFA,800,800,10,,:::::::::::O0FF,M07JFE,L07FC003FE,K07EL07E,J01EN078,J07P0E,I01CP038,I07R0E,001CK01FK038,003L0IFK0C,0078J03803CJ0E,0187J06I07I01D8,0300F00F8J0FEFE0C,02003IFK01J06,04I01C6P02,08K0401FM01,1L08060CM083K0100C02M0C2M01001M046K0306I0CL064K0198I02L024Q01L02CR08K03CR04K03FR02K03FFQ01J07!C1FQ0C007E3C03EP0203F03C0078O010F003CI0EF1N0F8003CI070C4M06I03CI02003CL02I03CI02P02I036I03N0106I066I01J08J0C4I067J0EI08J078I0E38I03I0E00406I01C3CI01800100204I01C3CJ0FI080118I03C1EJ03800801FJ0780FK0C008018J0F,078J07C0823J01F,07EJ01C1C36J07E,03FK031C3K0FC,01FCJ01E18J01F8,00FER07F,007F8P01FE,003FFP0FFC,I0FFEN07FF,I03FFCL03FFC,J0IFCJ03IF,J07PFE,K0PF,K01NF8,L01LF8,N0JF,,:::::::::::^FS^FO120,20^A0N,24,24^FH^FDANYMARKET SA _2E_2D ANYMARKET SA _2E #123456789^FS^FO120,43^A0N,24,24^FH^FB550,2,0,L^FDAv_2E Carneiro Leao_2D2 Andar 563, Zona 1^FS^FO120,90^A0N,24,24^FH^FB550,1,0,L^FDMaringa, BR-PR - 87014010^FS^FO120,120^A0N,24,24^FDPack ID: 10000^FS^FO272,117^A0N,27,27^FD01234567890^FS^FX LAST CLUSTER  ^FS^FO20,150^GB210,45,45^FS^FO20,156^A0N,45,45^FB210,1,0,C^FR^FDXSP1^FS^FX END LAST CLUSTER  ^FS^FO480,150^GB330,40,40^FS^FO410,160^A0N,22,22^FB460,1,0,C^FR^FH^FDENTREGAR NA COLETA^FS^FX  Shipment_Number_Bar_Code  ^FS^FO230,210^BY3,,0^BCN,160,N,N,N^FD>:01234567890^FS^FO95,385^A0N,30,30^FB390,1,0,R^FD423127^FS^FO488,381^A0N,35,35^FB400,1,0,L^FD60443^FS^FX  END_HEADER  ^FS^FX  CUSTOM_DATA  ^FS^FO0,580^A0N,175,175^FB630,1,0,R^FDSRD1^FS^FO670,640^A0N,47,47^FB200,1,0,L^FD09:00^FS^FO0,790^A0N,28,28^FB600,1,0,R^FDXSP1 > XSP9 > SRD1 > ^FS^FO605,785^A0N,40,40^FD4^FS^FO0,830^A0N,38,38^FB820,1,0,C^FDTER 06/06/2023   CEP: 87014010   NF: 1234567^FS^FX  END CUSTOM_DATA  ^FS^FO0,950^GB850,0,2^FS^FX  RECEIVER ZONE  ^FS^FO30,970^A0N,26,26^FB600,2,0,L^FH^FDDB1 Global Software SA (DB1GLOBALSOFTWARE)^FS^FO30,1030^A0N,26,26^FB600,2,0,L^FH^FDEndere_C3_A7o: Av Carneiro Leao, 563 - 2º Andar_2c Zona 1^FS^FO30,1090^A0N,30,30^FDCEP: 87014010^FS^FO30,1089^A0N,30,30^FDCEP: 87014010^FS^FO30,1121^A0N,26,26^FB600,2,1000,L^FH^FDCidade de destino: Maringa_2c Parana^FS^FO30,1150^A0N,26,26^FB600,5,0,L^FH^FDComplemento: Sobreloja Centro Empresarial Le Monde_2E^FS^FX  QR Code  ^FS^FO650,985^BY2,2,0^BQN,2,5^FDLA,{\"id\":\"01234567890\",\"t\":\"lm\"}^FS^FO650,1130^GB105,40,40^FS^FO650,1135^A0N,35,35^FB105,1,0,C^FR^FDR^FS^FX  END_FOOTER  ^FS^XZ"
                    }
                  }
                }
              },
              "application/pdf": {
                "schema": {
                  "type": "object",
                  "properties": {}
                },
                "examples": {
                  "file=PLP": {
                    "value": "Arquivo.pdf"
                  },
                  "type = PDF ou ZIP": {
                    "value": "Arquivo.pdf ou Arquivo.zip"
                  }
                }
              },
              "application/zip": {
                "schema": {
                  "type": "object",
                  "properties": {}
                },
                "examples": {
                  "type = PDF": {
                    "value": "Arquivo.zip"
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/404"
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "example-1": {
                    "value": {
                      "code": "409",
                      "message": "As etiquetas dos seguintes pedidos [id dos pedidos] não estão prontas para download, tente novamente mais tarde"
                    }
                  },
                  "Example 1": {
                    "value": {
                      "code": "409",
                      "message": "As etiquetas dos seguintes pedidos [id dos pedidos] não estão prontas para download, tente novamente mais tarde"
                    }
                  }
                }
              }
            },
            "headers": {}
          },
          "422": {
            "description": "Unprocessable Entity (WebDAV)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/422"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/500"
                }
              }
            }
          }
        },
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PrintTagPost"
              }
            }
          }
        },
        "parameters": [
          {
            "schema": {
              "type": "string",
              "enum": [
                "TXT",
                "PLP"
              ]
            },
            "in": "query",
            "name": "file",
            "description": "\"TXT\" or \"PLP\" are allowed when the format is ZPL2. When given \"TXT\" a JSON is returned with the content of the TXT provided by the marketplace, when given \"PLP\" a PDF is returned with the PLP content."
          }
        ],
        "operationId": "post-printtag-type"
      }
    },
    "/stocks": {
      "get": {
        "summary": "/stocks",
        "tags": [
          "Estoque"
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "links": {
                      "type": "array",
                      "description": "Referências de paginação",
                      "items": {
                        "type": "object",
                        "properties": {
                          "rel": {
                            "type": "string",
                            "description": "Relacionamento do hyperlink",
                            "example": "next"
                          },
                          "href": {
                            "type": "string",
                            "description": "URL de definição do recurso",
                            "example": "https://.../v2/component?limit=5&offset=5"
                          }
                        }
                      }
                    },
                    "content": {
                      "type": "array",
                      "description": "Lista de estoques",
                      "items": {
                        "type": "object",
                        "properties": {
                          "stockKeepingUnit": {
                            "type": "object",
                            "description": "Objeto SKU",
                            "properties": {
                              "id": {
                                "type": "integer",
                                "description": "ID do SKU gerado pelo ANYMARKET"
                              },
                              "title": {
                                "type": "string",
                                "description": "Título do SKY"
                              },
                              "partnerId": {
                                "type": "string",
                                "description": "ID do parceiro"
                              }
                            }
                          },
                          "stockLocal": {
                            "type": "object",
                            "description": "Local de Estoque",
                            "properties": {
                              "id": {
                                "type": "integer",
                                "description": "ID do estoque gerado pelo ANYMARKET"
                              },
                              "oi": {
                                "type": "object",
                                "properties": {
                                  "value": {
                                    "type": "string",
                                    "description": "Identificador da Conta ANYMARKET"
                                  }
                                }
                              },
                              "name": {
                                "type": "string",
                                "description": "Nome do Estoque"
                              },
                              "virtual": {
                                "type": "boolean",
                                "description": "Identifica se é estoque virtual"
                              },
                              "defaultLocal": {
                                "type": "boolean",
                                "description": "Identifica se é o estoque principal"
                              },
                              "priorityPoints": {
                                "type": "integer",
                                "description": "Pontos de prioridade para Múltiplos CDs"
                              }
                            }
                          },
                          "amount": {
                            "type": "integer",
                            "description": "Quantidade em estoque"
                          },
                          "reservationAmount": {
                            "type": "integer",
                            "description": "Quantidade em Reserva"
                          },
                          "availableAmount": {
                            "type": "integer",
                            "description": "Quantidade de estoque disponível"
                          },
                          "price": {
                            "type": "integer",
                            "description": "Preço de Custo"
                          },
                          "active": {
                            "type": "boolean",
                            "description": "Identifica se o estoque está ativo"
                          },
                          "additionalTime": {
                            "type": "integer",
                            "description": "Crossdocking"
                          },
                          "lastStockUpdate": {
                            "type": "string",
                            "description": "Data da última atualização"
                          },
                          "skuLocationDescription": {
                            "type": "string",
                            "description": "Local de Estoque"
                          }
                        }
                      }
                    },
                    "page": {
                      "type": "object",
                      "properties": {
[...]
